Subject: bug#37238: flymake feature request

From: bruno cuconato <[email-masked]>
Date: Fri, 30 Aug 2019 14:55:31 -0300

hi,

I wonder what your thoughts are on showing flymake diagnostics in the
minibuffer after a timeout, similarly to how flycheck does it, or how
https://github.com/akash-akya/emacs-flymake-cursor seems to do.

My thoughts are that this is not so simple* to implement as adding a
function to the overlay keymap (hence the existence of flymake-cursor)
and thus shouldn't be left to the user if it is deemed a worthy
feature; and that it would be nice to have as a built-in feature
instead of having it in a third party package since there are more
than two forks of flymake-cursor already and I'm happy to avoid MELPA.

Would you consider incorporating this functionality in flymake?

* there is a simple hack that seems to work though: enabling eldoc,
and using the `eldoc-documentation-function' to display the errors.

thank you,

-- bruno cuconato